/* registration-form-template.css */

/* start: outer block */
.labelwide-place {
    border: 2px solid #EDEDED;
    border-radius: 5px;
    margin-bottom: 15px;
    margin-top: 5px;
    padding: 5px 10px;
}

.control-group, .labelwide-place {
    width: 100%;
}

.col-md-12 .control-group {
    width: 100%;
}

/* end: outer block */
/* start: control's label */
.control-group .control-label {
    width: 160px;
}

.labelwide-place .control-label {
    padding-top: 5px;
    padding-bottom: 5px;
}

.control-group .control-label,
.labelwide-place .control-label,
.control-group table td label {
    float: left;
    color: #5E5D5D;
    text-align: left;
    font-weight: normal;
}

/* end: control's label */
/* start: controls */
.control-group .fixed {
    table-layout: fixed;
}

.control-group .fixed .chosen-container {
    margin-bottom: 0px;
}

.control-group table.fixed div.chosen-container a span {
    width: auto !important;
}

.control-group .controls {
    margin-left: 160px;
    position: relative;
    min-height: 20px;
}

.controls label {
    color: #323232;
    display: inline;
    /*margin: 2px 15px 0 5px;*/
    top: 4px;
    font-weight: normal;
    font-size: 12px;
}

.controls input[type="text"],
.controls input[type="email"],
.controls input[type="password"],
.controls select {
    width: 100%;
}

.control-group table td input,
.control-group table td select {
    width: 100%;
}

.control-group table td input.last {
    width: 100%;
}

/* --- start: compound inputs */
.controls div.first {
    float: left;
    width: 30%;
}

.controls div.first.puzzle {
    width: auto;
    margin-right: 10px;
}

.controls div.first input,
.controls div.first select {
    width: 95%;
}

.controls div.second {
    margin-left: 30%;
    width: 70%;
    padding-left: 2px;
}

.min {
    width: 52.8%;
}

/* */
.controls div.amount {
    float: left;
    width: 60%;
}


.controls div.units {
    margin-left: 60%;
    width: 40%;
    padding-left: 1.5%;
}

/* --- end: compound inputs */

@media (max-width: 767px) {
    .labelwide-place {
        margin-top: 30px;
    }
}

@media (min-width: 768px) {
    .labelwide-place .controls div {
        clear: both;
    }
}

@media (min-width: 992px) {
    .labelwide-place .controls div {
        clear: none;
    }
}


/* */
.itemselect a {
    border: 1px dotted #000000;
    color: #E1E1E1;
    display: block;
    float: left;
    font-size: 40px;
    padding-bottom: 40px;
    padding-top: 40px;
    width: 49%;
}

.itemselect a:hover {
    background-color: #E1E1E1;
    color: #000000;
    text-decoration: none;
}

.simplelink {
    border: 0 dotted #000000;
    color: #000000;
    display: inline;
    float: none;
    font-size: 12px;
    padding-bottom: 0;
    padding-top: 0;
    width: auto;
}

/* end: controls */
/* start: js tools */
td {
    padding-right: 2px;
}

.chosen-container {
    margin-bottom: 11.5px;
    /*padding-right: 2px;*/
}

.chosen-container.error,
.chosen-container.valid {
    border: none !important;
}

.chosen-container-multi.valid {
    border: 1px solid #96b796 !important;
}

.chosen-container.error .chosen-single {
    border: 1px solid red !important;
}

.chosen-container.valid .chosen-single {
    border: 1px solid #96b796 !important;
}

.chosen-container.chosen-container-multi {
    margin-bottom: 0px;
}

.chosen-container-single .chosen-single {
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    height: 28px !important;
    line-height: 23px !important;
}

.chosen-container.chosen-container-multi {
    background-clip: padding-box;
    border: 1px solid #cccccc;
    border-radius: 5px;
    color: #434343;
    display: block;
    min-height: 31px;
    position: relative;
    text-decoration: none;
    white-space: nowrap;
    z-index: 2;
}

.chosen-container.chosen-container-multi:before,
.chosen-container.chosen-container-multi:after {
    display: table;
    content: " ";
}

.chosen-container.chosen-container-multi:after {
    clear: both;
}

.chosen-container.chosen-container-multi .result-selected {
    color: #999;
}

.chosen-container-multi .chosen-choices {
    border: none;
}

.chosen-container-multi .chosen-choices li.search-field input[type="text"] {
    height: 25px;
    width: 100% !important;
    margin-bottom: 0;
}

.controls div.valid {
    border-style: none !important;
}

.controls div.chosen-container {
    width: 100%;
}

.valid .chosen-single div b,
.error .chosen-single div b,
.chosen-single.valid div b,
.chosen-single.error div b {
    background: none !important;
}

/* end: js tools*/
/* start: bottom */
.button_line {
    margin: 25px auto 50px;
    text-align: center;
}

.button_line a {
    margin-left: 5px;
    margin-bottom: 5px;
    float: none;
}

/* end: bottom */


@media (min-width: 992px) {
    table div.chosen-container a span {
        width: 150px;
    }
}

/* chosen */
table div.chosen-container {
    width: 100%;
}

.reg-seafarer-form-3 table div.chosen-container {
    padding-right: 0;
}

.reg-seafarer-form-2 table #nok_phone_code_chosen a span {
    width: auto;
}



/* tables */

.reg-seafarer-form-2 table {
    table-layout: fixed;
}

.reg-seafarer-form-2 table td {
    padding-right: 2px;
}

.reg-seafarer-form-2 table td:last-child {
    padding-right: 0px;
}

.reg-seafarer-form-2 table div.chosen-container {
    padding-right: 0px;
}

.reg-seafarer-form-2 .phone-controls td:first-child {
    width: 30%;
}

.reg-seafarer-form-2 .phone-controls td:last-child {
    width: 70%;
}

.nextofkin .column-first {
    width: 30%;
}

.nextofkin .column-second {
    width: 30%;
}

.nextofkin .column-third {
    padding-right: 2px !important;
    width: 40%;
}

.nextofkin .column-fourth {
    width: 30%;
}

.nextofkin-wide {
    color: #5e5d5d !important;
}

.nextofkin-thin {
    color: #5e5d5d !important;
    display: none;
}

@media (max-width: 740px) {
    .nextofkin-wide {
        display: none;
    }

    .nextofkin-thin {
        display: block
    }
}

.nextofkin .column-fifth {
    width: 70%;
}

.nextofkin-left {
    float: left;
    /* Firefox */
    width: -moz-calc(50% + 174px);
    /* WebKit */
    width: -webkit-calc(50% + 174px);
    /* Opera */
    width: -o-calc(50% + 174px);
    /* Standard */
    width: calc(50% + 174px);
}

.nextofkin-right {
    /* Firefox */
    width: -moz-calc(50% - 175px);
    margin-left: -moz-calc(50% + 174px);
    /* WebKit */
    width: -webkit-calc(50% - 175px);
    margin-left: -webkit-calc(50% + 174px);
    /* Opera */
    width: -o-calc(50% - 175px);
    margin-left: -o-calc(50% + 174px);
    /* Standard */
    width: calc(50% - 175px);
    margin-left: calc(50% + 174px);
}

/* file button */
.btn {
    padding: 3px 12px !important;
}

.btn-file {
    position: relative;
    overflow: hidden;
}

.btn-file input[type=file] {
    position: absolute;
    top: 0;
    left: 0;
    font-size: 999px;
    text-align: right;
    outline: none;
    display: block;
    cursor: pointer;
    filter: alpha(opacity=0);
    opacity: 0;
    /*right: 0;*/
    /*min-width: 100%;*/
    /*min-height: 100%;*/
}

/* */
.reg-seafarer label {
    margin-bottom: 16px;
}

.reg-seafarer tr:last-child label {
    margin-bottom: 0;
}

.reg-seafarer input {
    margin-bottom: 14px;
}

.reg-seafarer input[type="radio"] {
    margin-bottom: 2px !important;
}

#build_year_chosen {
    margin-bottom: 14px;
}

.reg-seafarer .btn {
    margin-top: -17px;
}

.radio-wrapper,
.checkbox-wrapper {
    position: relative;
    z-index: 0;
    display: inline-block;
    width: 22px;
    height: 22px;
    text-align: center;
    vertical-align: bottom;
}
.radio-wrapper .radio-error,
.checkbox-wrapper .checkbox-error {
    position: absolute;
    z-index: -1;
    left: -0.5px;
    top: 0;
    width: 22px;
    height: 22px;
    background-color: #FFEBEF;
    border: 1px solid #ff6635;
    border-radius: 12px;
    display: none;
}
.radio-wrapper input[type="radio"],
.checkbox-wrapper input[type="checkbox"] {
    margin: 0 !important;
    padding: 0 !important;
    vertical-align: bottom;
    position: relative;
    left: -0.5px;
    top: -2px;
    width: 13px;
    height: 13px;
}
.radio-wrapper input[type="radio"].error + .radio-error,
.checkbox-wrapper input[type="checkbox"].error + .checkbox-error {
    display: block;
}

.uploaderContainer .box {
    border-radius: 4px;
}

a > .glyphicon {
    margin-right: 4px;
}

